import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="pyDocuProcess",                     # This is the name of the package
    version="0.0.1",                        # The initial release version
    author="Pathrudu Chintakayala",                     # Full name of the author
    description="Python library to extract the information from documents",
    long_description=long_description,      # Long description read from the the readme file
    long_description_content_type="text/markdown",
    packages=setuptools.find_packages(),    # List of all python modules to be installed
    keywords=['pdf extraction python', 'invoice processing', 'data extraction'],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],                                      # Information to filter the project on PyPi website
    python_requires='>=3.11.3',                # Minimum version requirement of the package
    py_modules=["pyDocuProcess"],             # Name of the python package
    package_dir={'':'pyDocuProcess/src'},     # Directory of the source code of the package
    install_requires=[]                     # Install other dependencies if any
)
